%define	oname	Scorched3D

Summary:	3D artillery game similar to Scorched Earth
Name:		scorched3d
Version:	44
Release:	%mkrel 2
License:	GPLv2+ and CC-BY-SA
Group:		Games/Strategy
URL:		http://www.scorched3d.co.uk
Source0:	http://downloads.sourceforge.net/scorched3d/%{oname}-%{version}-src.tar.xz
Source1:	openal-config
Patch1:		scorched3d-help.patch
Patch2:		scorched3d-44-fdr-sys-lua.patch
Patch3:		scorched3d-44-fdr-syslibs.patch
Patch4:		scorched3d-44-gcc7.patch
Patch5:		scorched3d-44-wx3.0-compat.patch

BuildRequires:	imagemagick
BuildRequires:	libtool
BuildRequires:	pkgconfig(lua) < 5.2
BuildRequires:	mesa-common-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(freealut)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	lib64wxgtku3.0-devel
Requires:       wxgtk3.0
%description
Scorched is a game loosely-based on the classic DOS game Scorched
Earth, "The Mother Of All Games", with fully destructible 3D landscapes
and stunning visual effects.

"Scorched Earth is a simple, yet exciting artillery combat game,
based on an auspicious history of artillery games."
(Review of Scorched Earth at ClassicGaming.com)

In its simplest form Scorched is an artillery game.
Tanks take turns to earn money by destroying opponents in an arena.
Scorched attempts to recreate the simple yet addictive game play
of the original game, adding amongst other new features a 3D island
environment and LAN and internet play.

%description -l de
„Scorched 3D“ ist ein genialer Remake des DOS-Spieleklassikers Scorched Earth.

Wie im Original beschießen sich die Besetzer mehrerer Geschützpunkte, die durch 
natürliche Hindernisse voneinander getrennt sind. Ziel ist es immer noch, den 
Gegner zu treffen.

Das Spiel findet in einem karibischen Szenario statt, wobei die Spieler auf Inseln 
verteilt sind. Die 3D-Grafik sieht dabei wunderschön aus. Praktischer Vorteil: Die 
Karte lässt sich stufenlos zoomen und drehen.

Neben den Abschusswerten spielt auch der realistische Wind eine Rolle. Wie schwer 
das Spiel ist, lässt sich in drei Schwierigkeitsstufen festlegen. Auch Spiele 
gegen menschliche Spieler via Netzwerk und Internet sind möglich.



%prep
%setup -q -n scorched
%apply_patches
install -m 755 %{_sourcedir}/openal-config .

# ensure we use the system versions of these
rm -f src/common/common/snprintf.c
rm -f src/common/lua/l*.{cpp,h}
rm -f src/common/lua/print.cpp

%build
touch NEWS AUTHORS ChangeLog
autoreconf -vfi
export OPENAL_CONFIG=$PWD/openal-config
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}/%{name} \
	--disable-openaltest

%make_build

%install
%make_install

rm -rf %{buildroot}%{_gamesdatadir}/%{name}/documentation

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Scorched3D
GenericName=Artillery game
Comment=3D artillery game similar to Scorched Earth
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

# Extract 48x48 icon
convert data/images/tank2.ico tank2.png
install -D -m 644 tank2-0.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files
%doc README documentation/*
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%post
%{update_menus}

%postun
%{clean_menus}


%changelog
* Wed Sep 16 2020 tex - 44-2pclos2020
- build with wxgtk 3.0

* Tue Sep 15 2020 tex - 44-1pclos2020
- new version
- build for new wxgtk

